Subject: Re: [PATCH v3 4/5] t5550: add ICONV prereq to tests that use "$HTTPD_URL/error"

From: Patrick Steinhardt <[email-masked]>
Date: Fri, 20 Feb 2026 09:00:15 +0100

On Thu, Feb 19, 2026 at 06:49:14PM -0500, Eric Sunshine wrote:
> On Wed, Feb 18, 2026 at 4:17 AM Patrick Steinhardt <[email-masked]> wrote:
> > We've got a bunch of tests in t5550 that connect to "$HTTPD_URL/error"
> > to ensure that error messages are proprely forwarded. This URL executes
> 
> s/proprely/properly/
> 
> > the "t/lib-httpd/error.sh" script, which in turn depends on the iconv(1)
> > executable to reencode the message.
> >
> > This executable may not exist on platforms, which will make the tests
> > fail. Guard them with the ICONV prereq to fix such failures.
> >
> > Signed-off-by: Patrick Steinhardt <[email-masked]>
> > ---
> > diff --git a/t/t5550-http-fetch-dumb.sh b/t/t5550-http-fetch-dumb.sh
> > @@ -339,32 +339,32 @@ test_expect_success 'fetch can handle previously-fetched .idx files' '
> >  test_expect_success 'did not use upload-pack service' '
> > -       ! grep "/git-upload-pack" "$HTTPD_ROOT_PATH/access.log"
> > +       ! test_grep "/git-upload-pack" "$HTTPD_ROOT_PATH/access.log"
> >  '
> 
> You want to be using `test_grep !` here rather than `! test_grep`, don't you?
> 
> Same comment applies to several other tests touched by this patch.

Oh, yeah, you're right of course. Will send another version to improve
this. Thanks!

Patrick